// copyright 2023 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_COROUTINE_PROVIDERS_H
#define MIMIMI_COROUTINE_PROVIDERS_H

struct mimimi_behavior;

struct mimimi_coroutine_provider
{
	struct mimimi_behavior *(*create)(void (*start)(struct mimimi_behavior *behavior, void *data), void (*finish)(void *data), void *data, void *self);
	void *data;
};

#endif
